> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-connect/methods/getaddresses.md).

# getAddresses

Requests the user's Bitcoin and Stacks addresses from the connected wallet. This is a multi-chain address discovery method that typically returns both BTC and STX addresses.

***

### Usage

```ts
import { request } from '@stacks/connect';

const result = await request('getAddresses', {
  network: 'mainnet',
});

for (const entry of result.addresses) {
  console.log(`Address: ${entry.address}`);
  console.log(`Public Key: ${entry.publicKey}`);
  console.log(`Symbol: ${entry.symbol}`);
}
```

#### Notes

* This method returns addresses for **all supported chains** (BTC and STX). For Stacks-only addresses, use [`stx_getAddresses`](/reference/stacks.js/stacks-connect/methods/stx_getaddresses.md).
* Results are automatically cached in local storage when `enableLocalStorage` is `true` (the default).
* For Xverse-like wallets, this method is automatically overridden to use `wallet_connect` when provider overrides are enabled.
* The [`connect`](/reference/stacks.js/stacks-connect/connection/connect.md) function is a convenience wrapper that calls this method with `forceWalletSelect: true`.

[**Reference Link**](https://github.com/stx-labs/connect/blob/main/packages/connect/src/methods.ts#L228)

***

### Signature

```ts
function request(
  'getAddresses',
  params?: GetAddressesParams
): Promise<GetAddressesResult>
```

***

### Returns

`GetAddressesResult`

```ts
interface GetAddressesResult {
  addresses: AddressEntry[];
}

interface AddressEntry {
  symbol?: string;
  address: string;
  publicKey: string;
}
```

| Property    | Type             | Description                                  |
| ----------- | ---------------- | -------------------------------------------- |
| `addresses` | `AddressEntry[]` | An array of address entries from the wallet. |

Each `AddressEntry` contains:

| Property    | Type                | Description                                         |
| ----------- | ------------------- | --------------------------------------------------- |
| `symbol`    | `string` (optional) | The symbol for the address (e.g. `'STX'`, `'BTC'`). |
| `address`   | `string`            | The address string.                                 |
| `publicKey` | `string`            | The hex-encoded public key for this address.        |

***

### Parameters

#### network (optional)

* **Type**: `NetworkString`

The network to request addresses for (e.g. `'mainnet'`, `'testnet'`).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-connect/methods/getaddresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
